RLESELECT(1)

NAME
rleselect - Select images from an RLE file.

SYNOPSIS
rleselect [ -i infile ] [ -o outfile ] [ -v ] [ image-numbers ... ]

DESCRIPTION
This program selects images from an RLE(5) file containing multiple concatenated images. The selected images are specified by number; the first image in the file is number 1. A negative number in the image-numbers list means that all images from the previous number in the list to the absolute value of this number should be included. A zero in the list is taken as '-infinity', so that all images from the previous number to the last image in the file will be included. To try to clarify this, some examples are included below.

OPTIONS

-i infile
    The input will be read from this file. If infile is "-" or is not specified, the input will be read from the standard input stream.

-o outfile
    If specified, the output will be written to this file. If outfile is "-", or if it is not specified, the output will be written to the standard output stream.

-v  Verbose output.

EXAMPLES

rleselect 1 4 5
    Selects image 1, 4, and 5.

rleselect 4 1 5
    Also selects image 1, 4, and 5.

rleselect 1 -4 5
    Selects images 1 through 4 and 5 (i.e., 1 through 5).

rleselect 3 0
    Selects images 3 through the last.

rleselect -4
    Selects images 1 through 4.

SEE ALSO
rlesplit(1), urt(1), RLE(5).

AUTHOR
Spencer W. Thomas